Subject: Re: [GIT PULL] Networking for v6.13-rc7

From: Catalin Marinas <[email-masked]>
Date: Tue, 21 Jan 2025 20:46:12 +0000

On Tue, Jan 21, 2025 at 07:42:18AM -0800, Jakub Kicinski wrote:
> On Tue, 21 Jan 2025 11:09:20 +0000 Catalin Marinas wrote:
> > > > Hmm, I don't think this would make any difference as kmemleak does scan
> > > > the memblock allocations as long as they have a correspondent VA in the
> > > > linear map.
> > > > 
> > > > BTW, is NUMA enabled or disabled in your .config?  
> > > 
> > > It's pretty much kernel/configs/debug.config, with virtme-ng, booted
> > > with 4 CPUs. LMK if you can't repro with that, I can provide exact
> > > cmdline.  
> > 
> > Please do. I haven't tried to reproduce it yet on x86 as I don't have
> > any non-arm hardware around. It did not trigger on arm64. I think
> > virtme-ng may work with qemu. Anyway, I'll be off from tomorrow until
> > the end of the week, so more likely to try it next week.
> 
> vng -b -f tools/testing/selftests/net/config -f kernel/configs/debug.config
> 
> vng -r arch/x86_64/boot/bzImage --cpus 4 --user root -v --network loop

Great, thanks. I managed to reproduce it (after hacking vng to allow
x86_64 as non-host architecture). I'll try to debug towards the end of
the week or next week.

-- 
Catalin